EngineHeuristicsQuery

## Functions

auto | cudnn_frontend::EngineHeuristics_v8::getEngineConfig (int64_t count=1) -> std::vector< ManagedOpaqueDescriptor > &
| Query the total count of the engines for the Operation Set. More...
auto | cudnn_frontend::EngineHeuristics_v8::getEngineConfigCount (void) const -> int64_t
| Query the total count of the engine config for the Operation Set. More...

## Detailed Description

Query individual property of EngineHeuristics_v8 class

## Function Documentation

## getEngineConfig()

auto cudnn_frontend::EngineHeuristics_v8::getEngineConfig | ( | int64_t | count = `1` | ) | -> std::vector<ManagedOpaqueDescriptor> &

inline

Query the total count of the engines for the Operation Set.

Definition at line 69 of file cudnn_frontend_Heuristics.h.

References cudnn_frontend::EngineHeuristics_v8::m_heuristic_results, cudnn_frontend::make_shared_backend_pointer(), cudnn_frontend::BackendDescriptor::pointer, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## getEngineConfigCount()

auto cudnn_frontend::EngineHeuristics_v8::getEngineConfigCount | ( | void |  | ) | const -> int64_t

inline

Query the total count of the engine config for the Operation Set.

Definition at line 103 of file cudnn_frontend_Heuristics.h.

References cudnn_frontend::EngineHeuristics_v8::EngineHeuristics_v8(), cudnn_frontend::EngineHeuristics_v8::operator=(), cudnn_frontend::BackendDescriptor::pointer, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.